<template>
  <div id="app">
    <Navbar :cocktail="cocktail"></Navbar>
    <router-view @sending-cocktail2="receivedCocktail2"/>
  </div>
</template>

<script>
import Navbar from "@/components/Navbar/Navbar.vue";

export default {
  name: "App",
  components: {
    Navbar,
  },
  data() {
    return {
      cocktail: null,
    };
  },
  methods: {
    receivedCocktail2(cocktail) {
      this.cocktail = cocktail;
    },
  },
};
</script>


<style lang="scss">
@import "./assets/css/colors.scss";
#app {
  font-family: sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-weight: 600;
  letter-spacing: 0.05em;
  text-align: center;
  height: 100%;
  width: 100%;
}
body {
  background: $gradient-bg;
  background-repeat: no-repeat;
  background-attachment: fixed;
}
</style>
